aboutsummaryrefslogtreecommitdiffstats
path: root/main/dovecot/dovecot.post-upgrade
blob: 1410be35f4b8e8f9131870e63dfa4563be54483c (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
#!/bin/sh

ver_new="$1"
ver_old="$2"

if [ "$(apk version -t "$ver_old" "2.3.2.1-r1")" = "<" ]; then
	cat >&2 <<-EOF
	*
	* POP3, LMTP and Submission protocols were moved into subpackages:
	* dovecot-pop3d, dovecot-lmtpd and dovecot-submissiond.  If you use
	* some of these protocols, you have to install particular subpackage.
	*
	EOF
fi

# warn Dovecot version mismatch
if ! grep ^"version_ignore=yes" /etc/dovecot/dovecot.conf; then
	printf "dovecot restart required (version_ignore=yes not set)\n"
fi

exit $?